# $Revision: 1.15 $, $Date: 2012/05/25 13:11:21 $
Summary:	CAMD: Constrainted Approximate Minimum Degree
Summary(pl.UTF-8):	CAMD - przybliżony ograniczony algorytm minimalnego stopnia
Name:		CAMD
Version:	2.2.4
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.cise.ufl.edu/research/sparse/camd/%{name}-%{version}.tar.gz
# Source0-md5:	931547ea9692577f9fced7184b278f32
Patch0:		%{name}-ufconfig.patch
Patch1:		%{name}-shared.patch
URL:		http://www.cise.ufl.edu/research/sparse/camd/
BuildRequires:	UFconfig >= 3.7.0
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CAMD is a set of routines for ordering a sparse matrix prior to
Cholesky factorization (or for LU factorization with diagonal
pivoting).

%description -l pl.UTF-8
CAMD to zbiór procedur do porządkowania macierzy rzadkich przed
rozkładem Cholesky'ego (lub do rozkładu LU z obrotami diagonalnymi).

%package devel
Summary:	Header files for CAMD library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki CAMD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	UFconfig >= 3.7.0

%description devel
Header files for CAMD library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki CAMD.

%package static
Summary:	Static CAMD library
Summary(pl.UTF-8):	Statyczna biblioteka CAMD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CAMD library.

%description static -l pl.UTF-8
Statyczna biblioteka CAMD.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/camd

%{__make} -C Lib install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

install Include/*.h $RPM_BUILD_ROOT%{_includedir}/camd

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt Doc/{ChangeLog,License}
%attr(755,root,root) %{_libdir}/libcamd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcamd.so.0

%files devel
%defattr(644,root,root,755)
%doc Doc/CAMD_UserGuide.pdf
%attr(755,root,root) %{_libdir}/libcamd.so
%{_libdir}/libcamd.la
%{_includedir}/camd

%files static
%defattr(644,root,root,755)
%{_libdir}/libcamd.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: CAMD.spec,v $
Revision 1.15  2012/05/25 13:11:21  qboosh
- updated to 2.2.4

Revision 1.14  2012/01/01 13:03:41  qboosh
- updated to 2.2.3
- updated ufconfig,shared patches

Revision 1.13  2011/01/27 18:45:49  qboosh
- updated to 2.2.2

Revision 1.12  2010/10/13 07:08:56  qboosh
- updated to 2.2.1

Revision 1.11  2008/01/04 22:55:57  qboosh
- fixed shared patch, -fPIC hack no longer needed
- fortran library is not built/installed by default

Revision 1.10  2007-12-26 12:30:38  qboosh
- more docs

Revision 1.9  2007-12-26 03:25:34  qboosh
- better summaries

Revision 1.8  2007-12-26 03:22:12  qboosh
- ghost soname symlink
- LGPL v2.1+

Revision 1.7  2007-12-26 03:19:47  qboosh
- pl
- BR: gcc-fortran

Revision 1.6  2007-12-07 23:57:04  ankry
- formatting

Revision 1.5  2007-12-07 17:21:37  baggins
- rel 2

Revision 1.4  2007-12-07 16:56:38  baggins
- consistent library name in summary/description

Revision 1.3  2007-12-07 16:49:06  baggins
- use private include dir

Revision 1.2  2007-12-07 16:42:49  baggins
- use rpmldflags

Revision 1.1  2007-12-07 01:55:35  baggins
- initial revision
